# CvGBTreesParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvGBTreesParams:

List of all members.

## Public Member Functions

| CvGBTreesParams ()
| CvGBTreesParams (int loss_function_type, int weak_count, float shrinkage, float subsample_portion, int max_depth, bool use_surrogates)

## Public Attributes

CV_PROP_RW int | loss_function_type
CV_PROP_RW float | shrinkage
CV_PROP_RW float | subsample_portion
CV_PROP_RW int | weak_count

## Constructor & Destructor Documentation

CvGBTreesParams::CvGBTreesParams | ( | ) |

CvGBTreesParams::CvGBTreesParams | ( | int | loss_function_type,
|  | int | weak_count,
|  | float | shrinkage,
|  | float | subsample_portion,
|  | int | max_depth,
|  | bool | use_surrogates
| ) |  |

## Member Data Documentation

CV_PROP_RW int CvGBTreesParams::loss_function_type

CV_PROP_RW float CvGBTreesParams::shrinkage

CV_PROP_RW float CvGBTreesParams::subsample_portion

CV_PROP_RW int CvGBTreesParams::weak_count

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines